import React, { PropTypes } from 'react';

export default (Component) => {

    return React.createClass({

        propTypes: {
            ui: PropTypes.oneOf([
                'blue', 'informative',
                'dark-gray', 'active',
                'gray', 'default',
                'red', 'danger',
                'teal', 'primary',
                'white', 'secondary',
                'link'
            ])
        },

        getDefaultProps() {
            return {
                ui: 'default'
            };
        },

        render() {
            return (
                <Component
                    { ...this.props }
                    ui={ this.props.ui } />
            );
        }

    });

};
